package com.sooka.system.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


/**
 * 身份证对象 t_u_sfz
 *
 * @author lei
 * @date 2021-07-06
 */
public class TUSfz extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 删除时间 */
    private String delFlag;

    /** 发证机关 */
    @Excel(name = "发证机关")
    private String licenceIssue;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private String gender;

    /** 民族 */
    @Excel(name = "民族")
    private String nationality;

    /** 出生日期 */
    @Excel(name = "出生日期")
    private String birthDate;

    /** 公民身份号码 */
    @Excel(name = "公民身份号码")
    private String idcardNo;

    /** 户籍地 */
    @Excel(name = "户籍地")
    private String addressPermanent;

    /** 照片 */
    @Excel(name = "照片")
    private String photos;

    /** 相片 */
    @Excel(name = "相片")
    private String photograph;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setLicenceIssue(String licenceIssue)
    {
        this.licenceIssue = licenceIssue;
    }

    public String getLicenceIssue()
    {
        return licenceIssue;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setGender(String gender)
    {
        this.gender = gender;
    }

    public String getGender()
    {
        return gender;
    }
    public void setNationality(String nationality)
    {
        this.nationality = nationality;
    }

    public String getNationality()
    {
        return nationality;
    }
    public void setBirthDate(String birthDate)
    {
        this.birthDate = birthDate;
    }

    public String getBirthDate()
    {
        return birthDate;
    }
    public void setIdcardNo(String idcardNo)
    {
        this.idcardNo = idcardNo;
    }

    public String getIdcardNo()
    {
        return idcardNo;
    }
    public void setAddressPermanent(String addressPermanent)
    {
        this.addressPermanent = addressPermanent;
    }

    public String getAddressPermanent()
    {
        return addressPermanent;
    }
    public void setPhotos(String photos)
    {
        this.photos = photos;
    }

    public String getPhotos()
    {
        return photos;
    }
    public void setPhotograph(String photograph)
    {
        this.photograph = photograph;
    }

    public String getPhotograph()
    {
        return photograph;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("licenceIssue", getLicenceIssue())
            .append("name", getName())
            .append("gender", getGender())
            .append("nationality", getNationality())
            .append("birthDate", getBirthDate())
            .append("idcardNo", getIdcardNo())
            .append("addressPermanent", getAddressPermanent())
            .append("photos", getPhotos())
            .append("photograph", getPhotograph())
            .toString();
    }
}
